class CfgPatches
{
	class ZGB_TankModels_M1A1
	{
		units[] = { };
		weapons[] = { };
		requiredVersion = 0.114000;
		requiredAddons[] = {"CATracked", "CA_Hotfix", "CAData", "ZGB_TankModels"};
	};
};

class CfgAddons
{
	class PreloadAddons
	{
		class ZGB_TankModels_M1A1
		{
			list[] = {"ZGB_TankModels_M1A1"};
		};
	};
};

class CfgVehicles
{
	class ZGB_Turret;

	class ZGB_M1A1_Turret: ZGB_Turret
	{
		displayName = "M1A1 turret";
		model = "\ZGB_TankModels\M1A1\models\ZGB_M1A1_Turret";	
		class Damage
		{
			tex[]={};
			mat[]=
			{
				"ca\tracked\data\detailmapy\m1_abrams_01_metal.rvmat",
				"ca\tracked\data\detailmapy\m1_abrams_01_metal.rvmat",
				"ca\tracked\data\detailmapy\m1_abrams_01_metal_destruct.rvmat",
				"ca\tracked\data\detailmapy\m1_abrams_02_metal.rvmat",
				"ca\tracked\data\detailmapy\m1_abrams_02_metal.rvmat",
				"ca\tracked\data\detailmapy\m1_abrams_02_metal_destruct.rvmat",
				"ca\tracked\data\detailmapy\m1_abrams_03_metal.rvmat",
				"ca\tracked\data\detailmapy\m1_abrams_03_metal.rvmat",
				"ca\tracked\data\detailmapy\m1_abrams_03_metal_destruct.rvmat"
			};
		};
	};

	class LandVehicle;
	class Tank : LandVehicle
	{
		class NewTurret;
		class ViewPilot;
		class Turrets
		{
			class MainTurret : NewTurret
			{
				class Turrets
				{
					class CommanderOptics : NewTurret {};
				};
			};
		};
	};

	class M1Abrams : Tank
	{
		model = "\ZGB_TankModels\M1A1\models\ZGB_M1A1";
		NWD_ModelEnhancements = true; // unused as yet, to disable future generic FCS
		driverOutOpticsModel = "";

		class Turrets : Turrets
		{
			class MainTurret : MainTurret
			{
				forceHideGunner = 0;
				startengine = false; // for silent watch
				gunnerOpticsModel = "\ca\Weapons\optika_empty";
				gunnerOutOpticsModel = "";
				maxHorizontalRotSpeed = 0.75; // officially released traverse and elevation rates
				maxVerticalRotSpeed = 0.45;
				minElev = -9;
				maxElev = 20;
				class ViewOptics
				{
					initFOV = 0.128;
					minFov = 0.032;
					maxFov = 1/3;

					// initFov = 0.128; // (0.10240) -- 3x low magnificaion, 5 px/mil
					// minFov = 0.032; // 10x high magnification, 16 px/mil
					// maxFov = 0.333333; // unity sight (should have only 18 degree FOV of 3x sight? That can't be...)
					initAngleX = 0;
					minAngleX = -30;
					maxAngleX = 30;
					initAngleY = 0;
					minAngleY = -100;
					maxAngleY = 100;
				};
				class Turrets : Turrets
				{
					class CommanderOptics : CommanderOptics
					{
						startengine = false;
						gunnerOutOpticsShowCursor = 0;
						gunnerOpticsShowCursor = 0;
						//maxVerticalRotSpeed = 0.06;  // and elevation is hand-cranked!
						minElev = -10;
						maxElev = 65;
					};
				};
			};
		};

		class HitHull {
			armor = 0.85;
			material = 55;
			name = "telo";
			visual = "telo";
			passThrough = 0;
		};

		class AnimationSources
		{

			class gunnerFOV
			{
				source = "user";
				animPeriod = 0.25;
				initPhase=0.45;
			};

			class gunLead
			{
				source = "user";
				animPeriod = 0.01; // seconds per mil
				initPhase=0;
			};

			class gunSuperelevation
			{
				source = "user";
				animPeriod = 0.01; // seconds per mil
				initPhase=0;
			};

			class sightRingHide
			{
				source = "user";
				animPeriod = 0.001;
				initPhase=1;
			};

			class M2_Reload
			{
				source="reload";
				weapon="M2";
			};

			class M256_Recoil
			{
				source = "user";
				animPeriod=0.2;
				initPhase=0;
			};

			class hideTurret
			{
				source = "user";
				animPeriod=0;
				initPhase=0;
			};
		};
	};
};